#!/bin/bash
# Load modules
echo Loading modules...
module purge

module use /usr/local/software/jureca/OtherStages &> /dev/null
module load Stages/2019a &> /dev/null
module use /p/project/cjinm16/schiffer1/software//stages/2019a//modules/
module load atlas/MVAPICH2_PyTorch
echo Modules loaded

# Environment variables
export SCRATCH_USER=/p/scratch/cjinm16/schiffer1/
export OUTPUT_SPACING=16

# Set annotation directory (assume we are in the experiment folder)
export BRAIN=__BRAIN__
export ATLAS_ANNOTATION_DIR=`pwd`/annotations/
export ATLAS_ANNOTATION_FILE="B${BRAIN}_{slice:04d}_annotations.hdf5"

# Make prediction and run evaluation
srun atlas dl predict `pwd` --verbose --output-spacing ${OUTPUT_SPACING} --overwrite
srun atlas dl evaluate `pwd` --verbose --embedded-pred-to-hdf5 --output-spacing ${OUTPUT_SPACING}
